# KDE användarhandbok

&Lauri.Watts; &Lauri.Watts.mail;
7:e juni, 2005
K-skrivbordsmiljön
kate
1

# `kate`

Avancerad texteditor för &kde;

    kate -s, --start  namn  -u, --use -p, --pid pid -e, --encoding  namn -l, --line  rad -c, --column  kolumn -i, --stdin Allmänna KDE-väljare Allmänna Qt-väljare

## Beskrivning

&kate; är &kde;:s avancerade texteditor.

&kate; tillhandahåller också redigeringsdelen i diverse program, med namnet &kwrite;.

Några av &kate;s många funktioner omfattar inställningsbar syntaxfärgläggning för språk som går från C och C++ till HTML och Bash-skript, möjlighet att skapa och hantera projekt, ett gränssnitt för flera dokument (MDI), och en inbyggd terminalemulator

Men &kate; är mer än en editor för programmerare. Dess möjlighet att öppna flera filer på en gång gör den idealisk för att redigera de många inställningsfilerna i &UNIX;. Det här dokumentet är skrivet med &kate;.

## Väljare

`-s`, `--start` namn

  Starta &kate; med en given session.

`-u, --use`

  Använd ett &kate;-program som redan kör.

`-p, --pid` pid

  Försök bara återanvända en instans av Kate med detta pid.

`-e, --encoding` namn

  Ange kodning för filen som ska öppnas

  Du kan använda det här för att till exempel tvinga en fil att öppnas med formatet UTF-8. (Kommandot `iconv -l` tillhandahåller en lista med kodningar, som kan vara till hjälp för dig.)

`-l, --line` rad

  Flytta till den här raden

`-c, --column` kolumn

  Flytta till den här kolumnen

`-i, --stdin`

  Läs innehållet från `standardinmatningen`.

## Se också

kwrite(1)

Mer detaljerad användardokumentation är tillgänglig med help:/kate (skriv antingen in webbadressen i &konqueror;, eller kör ``khelpcenter` `help:/kate``).

Det finns också ytterligare information tillgänglig på &kate;s webbplats.

## Exempel

För att öppna en fil som heter `kod.cpp` på kolumn 15, rad 25, i ett befintligt &kate;-fönster, skulle du kunna använda:

    kate -c 15 -l
    25 -u kod.cpp

Om du har en aktiv anslutning till Internet, kan du dra fördel av &kde;:s nätverkstransparens för att öppna en fil från en FTP-plats. Om du inte har skrivrättigheter på fjärrservern, öppnas filen bara för läsning och du blir tillfrågad om ett lokalt filnamn att spara i om du gör ändringar. Om du har skrivrättigheter sparas ändringar transparent via nätverket.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

## Upphovsmän

Utvecklare av &kate; är &Christoph.Cullmann; &Christoph.Cullmann.mail;. En fullständig lista med upphovsmän och bidragsgivare är tillgänglig i den fullständiga användarhandboken som omnämns ovan.